<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs For Class Akismet</title>
			<link rel="stylesheet" href="../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="class-name">Class Akismet</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
															<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
						
					</div>
	<div class="info-box-body">
        		<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">The Akismet PHP5 Class</p>
<p class="description"><p>This class takes the functionality from the Akismet WordPress plugin written by <a href="http://photomatt.net/">Matt Mullenweg</a> and allows it to be integrated into any PHP5 application or website.</p><p>The original plugin is <a href="http://akismet.com/download/">available on the Akismet website</a>.</p><p><strong>Usage:</strong>   <pre><ol><code><pre><li>    <span class="src-var">$akismet </span>= <span class="src-key">new </span><span class="src-id"><a href="../akismet/Akismet.html">Akismet</a></span><span class="src-sym">(</span><span class="src-str">'http://www.example.com/blog/'</span><span class="src-sym">, </span><span class="src-str">'aoeu1aoue'</span><span class="src-sym">)</span><span class="src-sym">;</span></li>
<li>    <span class="src-var">$akismet</span><span class="src-sym">-&gt;</span><a href="../akismet/Akismet.html#methodsetCommentAuthor">setCommentAuthor</a><span class="src-sym">(</span><span class="src-var">$name</span><span class="src-sym">)</span><span class="src-sym">;</span></li>
<li>    <span class="src-var">$akismet</span><span class="src-sym">-&gt;</span><a href="../akismet/Akismet.html#methodsetCommentAuthorEmail">setCommentAuthorEmail</a><span class="src-sym">(</span><span class="src-var">$email</span><span class="src-sym">)</span><span class="src-sym">;</span></li>
<li>    <span class="src-var">$akismet</span><span class="src-sym">-&gt;</span><a href="../akismet/Akismet.html#methodsetCommentAuthorURL">setCommentAuthorURL</a><span class="src-sym">(</span><span class="src-var">$url</span><span class="src-sym">)</span><span class="src-sym">;</span></li>
<li>    <span class="src-var">$akismet</span><span class="src-sym">-&gt;</span><a href="../akismet/Akismet.html#methodsetCommentContent">setCommentContent</a><span class="src-sym">(</span><span class="src-var">$comment</span><span class="src-sym">)</span><span class="src-sym">;</span></li>
<li>    <span class="src-var">$akismet</span><span class="src-sym">-&gt;</span><a href="../akismet/Akismet.html#methodsetPermalink">setPermalink</a><span class="src-sym">(</span><span class="src-str">'http://www.example.com/blog/alex/someurl/'</span><span class="src-sym">)</span><span class="src-sym">;</span></li>
<li>    <span class="src-key">if</span><span class="src-sym">(</span><span class="src-var">$akismet</span><span class="src-sym">-&gt;</span><a href="../akismet/Akismet.html#methodisCommentSpam">isCommentSpam</a><span class="src-sym">(</span><span class="src-sym">))</span></li>
<li>      <span class="src-comm">// store the comment but mark it as spam (in case of a mis-diagnosis)</span></li>
<li>        <span class="src-key">else</span></li>
<li>      // store the comment normally</li>
</pre></code></ol></pre></p></p>
	<ul class="tags">
				<li><span class="field">link:</span> <a href="http://www.achingbrain.net/">http://www.achingbrain.net/</a></li>
				<li><span class="field">author:</span> Alex Potsides</li>
				<li><span class="field">version:</span> 0.2</li>
				<li><span class="field">name:</span> Akismet</li>
			</ul>
		<p class="notes">
			Located in <a class="field" href="_Akismet_class_php.html">/Akismet.class.php</a> (line <span class="field">52</span>)
		</p>
		
				
		<pre></pre>
	
			</div>
</div>




	<a name="sec-method-summary"></a>
	<div class="info-box">
		<div class="info-box-title">Method Summary</span></div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
												<span class="disabled">Methods</span> (<a href="#sec-methods">details</a>)
		</div>
		<div class="info-box-body">			
			<div class="method-summary">
								
				<div class="method-definition">
											<span class="method-result">Akismet</span>
										<a href="#__construct" title="details" class="method-name">__construct</a>
											(<span class="var-type">string</span>&nbsp;<span class="var-name">$blogURL</span>, <span class="var-type">mixed</span>&nbsp;<span class="var-name">$wordPressAPIKey</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">bool</span>
										<a href="#isCommentSpam" title="details" class="method-name">isCommentSpam</a>
										()
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setAkismetServer" title="details" class="method-name">setAkismetServer</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$akismetServer</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setAkismetVersion" title="details" class="method-name">setAkismetVersion</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$akismetVersion</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setAPIPort" title="details" class="method-name">setAPIPort</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$apiPort</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setCommentAuthor" title="details" class="method-name">setCommentAuthor</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentAuthor</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setCommentAuthorEmail" title="details" class="method-name">setCommentAuthorEmail</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$authorEmail</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setCommentAuthorURL" title="details" class="method-name">setCommentAuthorURL</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$authorURL</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setCommentContent" title="details" class="method-name">setCommentContent</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentBody</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setCommentType" title="details" class="method-name">setCommentType</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentType</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setPermalink" title="details" class="method-name">setPermalink</a>
											(<span class="var-type">string</span>&nbsp;<span class="var-name">$permalink</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setReferrer" title="details" class="method-name">setReferrer</a>
											(<span class="var-type">string</span>&nbsp;<span class="var-name">$referrer</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setUserIP" title="details" class="method-name">setUserIP</a>
											(<span class="var-type">string</span>&nbsp;<span class="var-name">$userip</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#submitHam" title="details" class="method-name">submitHam</a>
										()
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#submitSpam" title="details" class="method-name">submitSpam</a>
										()
									</div>
							</div>
		</div>
	</div>		

	
	<a name="sec-methods"></a>
	<div class="info-box">
		<div class="info-box-title">Methods</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
																<a href="#sec-method-summary">Methods</a> (<span class="disabled">details</span>)
						
		</div>
		<div class="info-box-body">
			<A NAME='method_detail'></A>
<a name="method__construct" id="__construct"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">Constructor __construct</span> (line <span class="line-number">82</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
				<li><span class="field">throws:</span> Exception    An exception is thrown if your API key is invalid.</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">Akismet</span>
		<span class="method-name">
			__construct
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$blogURL</span>, <span class="var-type">mixed</span>&nbsp;<span class="var-name">$wordPressAPIKey</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$blogURL</span><span class="var-description">: Your WordPress API key.</span>			</li>
				</ul>
		
		
	</div>
<a name="methodisCommentSpam" id="isCommentSpam"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">isCommentSpam</span> (line <span class="line-number">166</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Tests for spam.</p>
<p class="description"><p>Uses the web service provided by <a href="http://www.akismet.com">Akismet</a> to see whether or not the submitted comment is spam.  Returns a boolean value.</p></p>
	<ul class="tags">
				<li><span class="field">return:</span> True if the comment is spam, false if not</li>
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">bool</span>
		<span class="method-name">
			isCommentSpam
		</span>
				()
			</div>
	
		
		
	</div>
<a name="methodsetAkismetServer" id="setAkismetServer"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">setAkismetServer</span> (line <span class="line-number">278</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Defaults to rest.akismet.com</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setAkismetServer
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$akismetServer</span>)
			</div>
	
		
		
	</div>
<a name="methodsetAkismetVersion" id="setAkismetVersion"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">setAkismetVersion</span> (line <span class="line-number">286</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Defaults to '1.1'</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setAkismetVersion
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$akismetVersion</span>)
			</div>
	
		
		
	</div>
<a name="methodsetAPIPort" id="setAPIPort"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">setAPIPort</span> (line <span class="line-number">270</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Defaults to 80</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setAPIPort
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$apiPort</span>)
			</div>
	
		
		
	</div>
<a name="methodsetCommentAuthor" id="setCommentAuthor"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">setCommentAuthor</span> (line <span class="line-number">236</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">The name that the author submitted with the comment.</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentAuthor
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentAuthor</span>)
			</div>
	
		
		
	</div>
<a name="methodsetCommentAuthorEmail" id="setCommentAuthorEmail"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">setCommentAuthorEmail</span> (line <span class="line-number">246</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">The email address that the author submitted with the comment.</p>
<p class="description"><p>The address is assumed to be valid.</p></p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentAuthorEmail
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$authorEmail</span>)
			</div>
	
		
		
	</div>
<a name="methodsetCommentAuthorURL" id="setCommentAuthorURL"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">setCommentAuthorURL</span> (line <span class="line-number">254</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">The URL that the author submitted with the comment.</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentAuthorURL
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$authorURL</span>)
			</div>
	
		
		
	</div>
<a name="methodsetCommentContent" id="setCommentContent"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">setCommentContent</span> (line <span class="line-number">262</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">The comment's body text.</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentContent
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentBody</span>)
			</div>
	
		
		
	</div>
<a name="methodsetCommentType" id="setCommentType"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">setCommentType</span> (line <span class="line-number">228</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">The type of comment being submitted.</p>
<p class="description"><p>May be blank, comment, trackback, pingback, or a made up value like &quot;registration&quot; or &quot;wiki&quot;.</p></p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentType
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentType</span>)
			</div>
	
		
		
	</div>
<a name="methodsetPermalink" id="setPermalink"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">setPermalink</span> (line <span class="line-number">218</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">A permanent URL referencing the blog post the comment was submitted to.</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setPermalink
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$permalink</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$permalink</span><span class="var-description">: The URL.  Optional.</span>			</li>
				</ul>
		
		
	</div>
<a name="methodsetReferrer" id="setReferrer"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">setReferrer</span> (line <span class="line-number">208</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">To override the referring page when submitting spam/ham later on</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setReferrer
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$referrer</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$referrer</span><span class="var-description">: The referring page.  Optional.</span>			</li>
				</ul>
		
		
	</div>
<a name="methodsetUserIP" id="setUserIP"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">setUserIP</span> (line <span class="line-number">198</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">To override the user IP address when submitting spam/ham later on</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setUserIP
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$userip</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$userip</span><span class="var-description">: An IP address.  Optional.</span>			</li>
				</ul>
		
		
	</div>
<a name="methodsubmitHam" id="submitHam"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">submitHam</span> (line <span class="line-number">188</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Submit ham that is incorrectly tagged as spam.</p>
<p class="description"><p>Using this function will make you a good citizen as it helps Akismet to learn from its mistakes.  This will improve the service for everybody.</p></p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			submitHam
		</span>
				()
			</div>
	
		
		
	</div>
<a name="methodsubmitSpam" id="submitSpam"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">submitSpam</span> (line <span class="line-number">178</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Submit spam that is incorrectly tagged as ham.</p>
<p class="description"><p>Using this function will make you a good citizen as it helps Akismet to learn from its mistakes.  This will improve the service for everybody.</p></p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			submitSpam
		</span>
				()
			</div>
	
		
		
	</div>
						
		</div>
	</div>


	<p class="notes" id="credit">
		Documentation generated on Sat, 14 Jan 2006 17:26:08 +0000 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.3.0RC5</a>
	</p>
	</div></body>
</html>